Package com.avaya.core

## Enum AvMessagingSdkConnectionStatus

- java.lang.Object
- - java.lang.Enum<AvMessagingSdkConnectionStatus>
  - - com.avaya.core.AvMessagingSdkConnectionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AvMessagingSdkConnectionStatus>`

      public enum AvMessagingSdkConnectionStatus
      extends java.lang.Enum<AvMessagingSdkConnectionStatus>

  AvMessagingSdk connection status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONNECTED` | User is connected to AvMessagingSdk.
    `DISCONNECTED` | User is disconnected from AvMessagingSdk.
    `NOT_YET_INITIATED` | User connection with AvMessagingSdk not yet initiated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AvMessagingSdkConnectionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AvMessagingSdkConnectionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTED

          public static final AvMessagingSdkConnectionStatus CONNECTED

      User is connected to AvMessagingSdk.

    - #### DISCONNECTED

          public static final AvMessagingSdkConnectionStatus DISCONNECTED

      User is disconnected from AvMessagingSdk.

    - #### NOT_YET_INITIATED

          public static final AvMessagingSdkConnectionStatus NOT_YET_INITIATED

      User connection with AvMessagingSdk not yet initiated.

  - ### Method Detail

    - #### values

          public static AvMessagingSdkConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AvMessagingSdkConnectionStatus c : AvMessagingSdkConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AvMessagingSdkConnectionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null